<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

/**
 * Class CreateHodnoteniaTable
 */
class CreateHodnoteniaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hodnotenia', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('hodnotil_id');
            $table->string('hodnotenie');
            $table->unsignedBigInteger('hodnotitelne_id');
            $table->string('hodnotitelne_type');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hodnotenia');
    }
}
